=== debian/changelog ===
rock-master-19.06-multiagent-fipa-acl (0.20180914-1~xenial) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-multiagent/multiagent-fipa_acl.git
  * branch: refs/heads/master
  * commit: 03061e97a9ad650c97fc12001807d564577875d0
  * tag: 

 -- Packaging Daemon <rock-dev@dfki.de>  Sat, 06 Jul 2019 14:48:08 +0200
